# $Revision: 1.25 $, $Date: 2008/07/27 22:23:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	XPath
Summary:	XML::XPath - a set of modules for parsing and evaluating XPath statements
Summary(pl.UTF-8):	XML::XPath - zestaw modułów do parsowania i obliczania wyrażeń XPath
Name:		perl-XML-XPath
Version:	1.13
Release:	4
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b5919d9220d83982feb6e2321850c5d7
BuildRequires:	perl-XML-Parser >= 2.23
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module aims to comply exactly to the XPath specification at
http://www.w3.org/TR/xpath and yet allow extensions to be added
in the form of functions. Modules such as XSLT and XPointer may
need to do this as they support functionality beyond XPath.

%description -l pl.UTF-8
Ten moduł ma być zgodny ze specyfikacją XPath (dostępną pod
http://www.w3.org/TR/xpath) i pozwala na dodawanie rozszerzeń
w postaci funkcji. Moduły takie jak XSLT i XPointer mogą być
potrzebne do tego, jako że obsługują funkcjonalność spoza XPath.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/XPath.pm
%{perl_vendorlib}/XML/XPath/*.pm
%{perl_vendorlib}/XML/XPath/Node
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/xpath
%{_examplesdir}/%{name}-%{version}/*.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-XPath.spec,v $
Revision 1.25  2008/07/27 22:23:12  arekm
- release 4

Revision 1.24  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.22  2004/11/03 22:30:57  paladine
- formatting

Revision 1.21  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.20  2004/05/05 06:35:06  ankry
- license fix, cosmetics

Revision 1.19  2004/01/07 16:06:58  qboosh
- added tests, moved vendorlib/XML/XPath dir to perl.spec; release 3

Revision 1.18  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.17  2003/08/13 14:46:38  ankry
- cosmetics

Revision 1.16  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.15  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.10  2003/02/19 00:15:36  ankry
autoupdated to 1.13

Revision 1.9  2003/02/18 15:39:18  ankry
- massive attack: change CPAN URLs

Revision 1.8  2002/07/27 21:46:12  ankry
- don't use mcros in Name, cleaning
- fix permitions in %%{_examplesdir}
- release 3

Revision 1.7  2002/07/13 15:40:36  qboosh
- new %%doc, added missing BR, moved example to examplesdir

Revision 1.6  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.5  2002/03/03 22:27:20  marcus
- rel.2.

Revision 1.4  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/19 14:24:40  qboosh
- pl translation

Revision 1.2  2002/02/19 13:38:41  depesz
typo

Revision 1.1  2002/02/19 13:37:54  depesz
- new module
- no polish descriptions
